<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<!-- set the output properties -->
<xsl:output method="html" encoding="iso-8859-1"/>

<!-- main rule for document element -->
<xsl:template match="vCard">
<HTML>
 <HEAD>
  <!--meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" /-->
  <title>CeeVee - Profil fr <xsl:value-of select="fn"/></title>
  <style type="text/css">
    dt {color: #dcdcdc; font-weight: bold;}
    ul li { margin-bottom: 1em }
  </style>
 </HEAD>
 <BODY background="cv_bg.gif" bgcolor="#000000" text="#33cc33">
 <font face="courier">
  <center><h2>Profil fr <xsl:value-of select="fn"/></h2></center>
  <font size="-1"><div align="left">Stand: <xsl:value-of select="@rev"/></div></font>

  <xsl:element name="img">
   <xsl:attribute name="src">data:image/jpeg;base64,<xsl:value-of select="photo"/></xsl:attribute>
   <xsl:attribute name="align">right</xsl:attribute>
   <xsl:attribute name="hspace">10</xsl:attribute>
  </xsl:element>

  <p>
    <xsl:value-of select="fn"/><br/>
    <xsl:value-of select="adr/street"/><br/>
    <xsl:value-of select="adr/country"/><xsl:text> </xsl:text>
    <xsl:value-of select="adr/pcode"/><xsl:text> </xsl:text>
    <xsl:value-of select="adr/locality"/><br/>
    <xsl:element name="a">
      <xsl:attribute name="href"><xsl:value-of select="homepage"/></xsl:attribute>
      <xsl:value-of select="homepage"/>
    </xsl:element>
  </p>

  <dl>
    <dt>Geburtstag:</dt>
    <dd><xsl:value-of select="bday"/></dd>
  </dl>

  <dl><dt>Verfgbarkeit:</dt>
    <dd><!--xsl:apply-templates select="available"/-->
        <xsl:value-of select="available"/></dd>
  </dl>

  <dl><dt>Ausbildung:</dt>
    <dd><xsl:value-of select="education"/></dd>
  </dl>

  <dl><dt>Fremdsprachen:</dt><dd>
  <xsl:for-each select="language">
    <xsl:value-of select="."/>
    <xsl:if test="not(position()=last())">, </xsl:if>
  </xsl:for-each>
  </dd></dl>

  <hr width="80%"/>

  <dl><dt>Programmiersprachen:</dt><dd>
  <xsl:for-each select="proglang">
    <xsl:value-of select="."/>
    <xsl:if test="not(position()=last())">, </xsl:if>
  </xsl:for-each>
  </dd></dl>

  <dl><dt>Datenbanken:</dt><dd>
  <xsl:for-each select="database">
    <xsl:value-of select="."/>
    <xsl:if test="not(position()=last())">, </xsl:if>
  </xsl:for-each>
  </dd></dl>

  <dl><dt>Softwarepakete:</dt><dd>
  <xsl:for-each select="application">
    <xsl:value-of select="."/>
    <xsl:if test="not(position()=last())">, </xsl:if>
  </xsl:for-each>
  </dd></dl>

  <dl><dt>Hardware:</dt><dd>
  <xsl:for-each select="hardware">
    <xsl:value-of select="."/>
    <xsl:if test="not(position()=last())">, </xsl:if>
  </xsl:for-each>
  </dd></dl>

  <dl><dt>Projekte:</dt><dd>
  <ul>
  <xsl:for-each select="project">
    <li>
    <xsl:value-of select="ptitle"/>
    <br/>
    <!--xsl:value-of select="pdescript"/-->
    <xsl:copy-of select="pdescript"/>
    </li>
  </xsl:for-each>
  </ul>
  </dd></dl>

 </font>
 </BODY>
</HTML>
</xsl:template>

<xsl:template match="available">
   <!--xsl:eval>formatDate(this.nodeTypedValue, "dd.MM.yyyy")</xsl:eval-->
   <!--xsl:value-of select="formatDate(this.nodeTypedValue, 'dd.MM.yyyy')"/-->
   <!--xsl:value-of select="name()"/-->
</xsl:template>

</xsl:stylesheet>

